Package net.snowflake.client.core

## Class QueryExecDTO

- java.lang.Object
- - net.snowflake.client.core.QueryExecDTO

    public class QueryExecDTO
    extends Object

Body of a query request

### Constructor Summary

Constructors
`QueryExecDTO​(String sqlText, boolean describeOnly, Integer sequenceId, Map<String,​ParameterBindingDTO> bindings, String bindStage, Map<String,​Object> parameters, QueryContextDTO queryContext, long querySubmissionTime, boolean internal, boolean asyncExec)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `getAsyncExec()`
`Map<String,​ParameterBindingDTO>` `getBindings()`
`String` `getBindStage()`
`String` `getDescribedJobId()`
`boolean` `getIsInternal()`
`Map<String,​Object>` `getParameters()`
`QueryContextDTO` `getqueryContextDTO()`
`long` `getQuerySubmissionTime()`
`Integer` `getSequenceId()` Deprecated.
`String` `getSqlText()`
`boolean` `isDescribeOnly()`
`void` `queryContextDTO​(QueryContextDTO queryContext)`
`void` `setAsyncExec​(boolean asyncExec)`
`void` `setBindings​(Map<String,​ParameterBindingDTO> bindings)`
`void` `setBindStage​(String bindStage)`
`void` `setDescribedJobId​(String describedJobId)`
`void` `setDescribeOnly​(boolean describeOnly)`
`void` `setIsInternal​(boolean isInternal)`
`void` `setParameters​(Map<String,​Object> parameters)`
`void` `setQuerySubmissionTime​(long querySubmissionTime)`
`void` `setSequenceId​(Integer sequenceId)` Deprecated.
`void` `setSqlText​(String sqlText)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryExecDTO

    public QueryExecDTO​(String sqlText,
                        boolean describeOnly,
                        Integer sequenceId,
                        Map<String,​ParameterBindingDTO> bindings,
                        String bindStage,
                        Map<String,​Object> parameters,
                        QueryContextDTO queryContext,
                        long querySubmissionTime,
                        boolean internal,
                        boolean asyncExec)

### Method Detail

#### getSqlText

    public String getSqlText()

#### setSqlText

    public void setSqlText​(String sqlText)

#### getSequenceId

    @Deprecated
    public Integer getSequenceId()

Deprecated.

#### setSequenceId

    @Deprecated
    public void setSequenceId​(Integer sequenceId)

Deprecated.

#### getBindings

    public Map<String,​ParameterBindingDTO> getBindings()

#### setBindings

    public void setBindings​(Map<String,​ParameterBindingDTO> bindings)

#### getBindStage

    public String getBindStage()

#### setBindStage

    public void setBindStage​(String bindStage)

#### isDescribeOnly

    public boolean isDescribeOnly()

#### setDescribeOnly

    public void setDescribeOnly​(boolean describeOnly)

#### getParameters

    public Map<String,​Object> getParameters()

#### setParameters

    public void setParameters​(Map<String,​Object> parameters)

#### getqueryContextDTO

    public QueryContextDTO getqueryContextDTO()

#### queryContextDTO

    public void queryContextDTO​(QueryContextDTO queryContext)

#### getDescribedJobId

    public String getDescribedJobId()

#### setDescribedJobId

    public void setDescribedJobId​(String describedJobId)

#### getQuerySubmissionTime

    public long getQuerySubmissionTime()

#### setQuerySubmissionTime

    public void setQuerySubmissionTime​(long querySubmissionTime)

#### setIsInternal

    public void setIsInternal​(boolean isInternal)

#### getIsInternal

    public boolean getIsInternal()

#### setAsyncExec

    public void setAsyncExec​(boolean asyncExec)

#### getAsyncExec

    public boolean getAsyncExec()